﻿601,100
602,"UTILITY - Create CodeName and NameCode Aliases"
562,"NULL"
586,
585,
564,
565,"qVXgrl?hXKi^p3XMJat?MR\Tkt;mrzC1uY8mB68]Wquvd006rD^uq[eHRtPF8<LY<g<63CFSZFqmCBDIdMy]C?u7okzhcfAMlzyzJy=q9RqZkkTy``y=liFnnbMh>xdqyL1CGl3raQ0YuPfPcMi<<4^Codm;oqk;TL0P<U2B^DY\dC=pTzFs1K^QN0pP6;\Cgkp8OI>Q"
559,1
928,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,","
568,""""
570,
571,
569,0
592,0
599,1000
560,3
parDim
parAlias1
parAlias2
561,3
2
2
2
590,3
parDim,""
parAlias1,""
parAlias2,""
637,3
parDim,"Dim Name?"
parAlias1,"Alias #1 Name"
parAlias2,"Alias #2 Name"
577,0
578,0
579,0
580,0
581,0
582,0
603,0
572,57

#****Begin: Generated Statements***
#****End: Generated Statements****

#=============================================================================================
# PURPOSE - Process will create and populate two aliases within a dimension.  
# - The first alias will use a format of: Element Code – Description 
# - The second alias will use a format of: Description (Element Code)
#
# PARAMETERS:
#     parDim               - Dimension Name
#     parAlias1            - Alias 1 Name
#     parAlias2            - Alias 2 Name
#=============================================================================================



#=============================================================================================
#>>> Ensure the two aliases exist 
#=============================================================================================

strDimAttr = '}ElementAttributes_' | parDim;

strAttr = parAlias1;
IF( DIMIX( strDimAttr, strAttr ) = 0);
     ATTRINSERT( parDim, '', strAttr, 'A' );
ENDIF;

strAttr = parAlias2;
IF( DIMIX( strDimAttr, strAttr ) = 0);
     ATTRINSERT( parDim, '', strAttr, 'A' );
ENDIF;


#=============================================================================================
#>>> Loop through dimension and populate aliases
#=============================================================================================

intCtrMax = DIMSIZ ( parDim ) ;

intCtr = 1 ;

WHILE ( intCtr <= intCtrMax ) ;
     strElem = DIMNM ( parDim , intCtr ) ;
     strName = ATTRS ( parDim , strElem , 'Name' ) ;
     IF ( strName @<> '' & strName @<> strElem ) ;
          strCodeName = strElem | ' - ' | strName ;
          strNameCode = strName | ' (' | strElem | ')' ;
     ELSE ;
          strCodeName = strElem ;
          strNameCode = strElem ;
     ENDIF ;
     ATTRPUTS ( strCodeName , parDim , strElem , parAlias1 ) ;
     ATTRPUTS ( strNameCode , parDim , strElem , parAlias2 ) ;
     intCtr = intCtr + 1 ;
END ;

573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,3

#****Begin: Generated Statements***
#****End: Generated Statements****
575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511DataAction=1503CubeLogChanges=0
930,0
638,1
804,0
1217,0
900,
901,
902,
938,0
937,
936,
935,
934,
932,0
933,0
903,
906,
929,
907,
908,
904,0
905,0
909,0
911,
912,
913,
914,
915,
916,
917,0
918,1
919,0
920,50000
921,""
922,""
923,0
924,""
925,""
926,""
927,""
